### Method

# ECal ComponentId set_uid

since: 3.34

#### Declaration [src]

    void
    e_cal_component_id_set_uid (
      ECalComponentId* id,
      const gchar* uid
    )

#### Description [src]

Sets the UID part of the `id`.

Available since: 3.34

#### Parameters

`uid`

  Type: `const gchar*`

  The UID to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.